---
Tournament:
  name: Camden County College Regional Tournament
  short name: CCC Regional
  location: Camden County College
  state: NJ
  level: Regionals
  division: C
  year: 2025
  medals: 6
  trophies: 6
  bids: 9
  start date: 2025-01-14
  end date: 2025-01-14
  awards date: 2025-01-14
Events:
- name: Anatomy and Physiology
- name: Astronomy
- name: Bungee Drop
- name: Chemistry Lab
- name: Codebusters
- name: Disease Detectives
- name: Dynamic Planet
- name: Entomology
- name: Helicopter
- name: Microbe Mission
- name: Tower
- name: Wind Power
Teams:
- number: 1
  school: Cherry Hill High School East
  state: NJ
- number: 2
  school: Cherry Hill High School West
  state: NJ
- number: 3
  school: Christian Brothers Academy
  state: NJ
- number: 4
  school: Darul Arqam School
  state: NJ
- number: 5
  school: East Brunswick High School
  state: NJ
- number: 6
  school: Eastern Camden County Regional High School
  state: NJ
- number: 7
  school: Edison High School
  state: NJ
- number: 8
  school: Hopewell Valley Central High School
  state: NJ
- number: 9
  school: Lawrence High School
  state: NJ
- number: 10
  school: Maarif School
  state: NJ
- number: 11
  school: Montgomery High School
  city: Skillman
  state: NJ
- number: 12
  school: Moorestown Friends School
  state: NJ
- number: 13
  school: Princeton Day School
  state: NJ
- number: 14
  school: Ranney School
  state: NJ
- number: 15
  school: Robbinsville High School
  state: NJ
- number: 17
  school: Seneca High School
  state: NJ
- number: 18
  school: Hun School of Princeton
  state: NJ
- number: 19
  school: Thomas Edison EnergySmart Charter School
  state: NJ
- number: 20
  school: West Morris Central High School
  state: NJ
- number: 21
  school: West Windsor-Plainsboro High School North
  city: Plainsboro
  state: NJ
- number: 22
  school: Kingsway Regional High School
  state: NJ
  city: Woolwich Township
Placings:
- team: 1
  event: Anatomy and Physiology
  place: 4
- team: 1
  event: Astronomy
  place: 11
- team: 1
  event: Bungee Drop
  place: 12
- team: 1
  event: Chemistry Lab
  place: 3
- team: 1
  event: Codebusters
  place: 10
- team: 1
  event: Disease Detectives
  place: 4
- team: 1
  event: Dynamic Planet
  place: 11
- team: 1
  event: Entomology
  place: 7
- team: 1
  event: Helicopter
  place: 15
- team: 1
  event: Microbe Mission
  place: 3
- team: 1
  event: Tower
  place: 11
- team: 1
  event: Wind Power
  place: 3
- team: 2
  event: Anatomy and Physiology
  place: 14
- team: 2
  event: Astronomy
  place: 19
- team: 2
  event: Bungee Drop
  participated: false
- team: 2
  event: Chemistry Lab
  place: 19
- team: 2
  event: Codebusters
  place: 17
- team: 2
  event: Disease Detectives
  place: 10
- team: 2
  event: Dynamic Planet
  participated: false
- team: 2
  event: Entomology
  place: 11
- team: 2
  event: Helicopter
  place: 9
- team: 2
  event: Microbe Mission
  place: 10
- team: 2
  event: Tower
  place: 5
- team: 2
  event: Wind Power
  participated: false
- team: 3
  event: Anatomy and Physiology
  place: 19
- team: 3
  event: Astronomy
  participated: false
- team: 3
  event: Bungee Drop
  participated: false
- team: 3
  event: Chemistry Lab
  place: 17
- team: 3
  event: Codebusters
  place: 19
- team: 3
  event: Disease Detectives
  place: 14
- team: 3
  event: Dynamic Planet
  place: 18
- team: 3
  event: Entomology
  participated: false
- team: 3
  event: Helicopter
  place: 7
- team: 3
  event: Microbe Mission
  place: 15
- team: 3
  event: Tower
  place: 17
- team: 3
  event: Wind Power
  place: 9
- team: 4
  event: Anatomy and Physiology
  place: 20
- team: 4
  event: Astronomy
  place: 12
- team: 4
  event: Bungee Drop
  place: 15
- team: 4
  event: Chemistry Lab
  place: 10
- team: 4
  event: Codebusters
  place: 20
- team: 4
  event: Disease Detectives
  place: 21
- team: 4
  event: Dynamic Planet
  place: 6
- team: 4
  event: Entomology
  place: 17
- team: 4
  event: Helicopter
  place: 14
- team: 4
  event: Microbe Mission
  place: 14
- team: 4
  event: Tower
  place: 8
- team: 4
  event: Wind Power
  place: 18
- team: 5
  event: Anatomy and Physiology
  place: 3
- team: 5
  event: Astronomy
  place: 1
- team: 5
  event: Bungee Drop
  place: 7
- team: 5
  event: Chemistry Lab
  place: 1
- team: 5
  event: Codebusters
  place: 3
- team: 5
  event: Disease Detectives
  place: 2
- team: 5
  event: Dynamic Planet
  place: 7
- team: 5
  event: Entomology
  place: 6
- team: 5
  event: Helicopter
  place: 4
- team: 5
  event: Microbe Mission
  place: 4
- team: 5
  event: Tower
  place: 4
- team: 5
  event: Wind Power
  place: 5
- team: 6
  event: Anatomy and Physiology
  place: 9
- team: 6
  event: Astronomy
  place: 7
- team: 6
  event: Bungee Drop
  place: 8
- team: 6
  event: Chemistry Lab
  place: 7
- team: 6
  event: Codebusters
  place: 8
- team: 6
  event: Disease Detectives
  place: 7
- team: 6
  event: Dynamic Planet
  place: 8
- team: 6
  event: Entomology
  place: 14
- team: 6
  event: Helicopter
  place: 11
- team: 6
  event: Microbe Mission
  place: 7
- team: 6
  event: Tower
  place: 15
- team: 6
  event: Wind Power
  place: 6
- team: 7
  event: Anatomy and Physiology
  place: 12
- team: 7
  event: Astronomy
  place: 14
- team: 7
  event: Bungee Drop
  place: 11
- team: 7
  event: Chemistry Lab
  place: 8
- team: 7
  event: Codebusters
  place: 7
- team: 7
  event: Disease Detectives
  place: 5
- team: 7
  event: Dynamic Planet
  place: 16
- team: 7
  event: Entomology
  place: 20
- team: 7
  event: Helicopter
  place: 16
- team: 7
  event: Microbe Mission
  place: 5
- team: 7
  event: Tower
  place: 10
- team: 7
  event: Wind Power
  place: 7
- team: 8
  event: Anatomy and Physiology
  place: 18
- team: 8
  event: Astronomy
  place: 17
- team: 8
  event: Bungee Drop
  participated: false
- team: 8
  event: Chemistry Lab
  place: 9
- team: 8
  event: Codebusters
  place: 9
- team: 8
  event: Disease Detectives
  place: 8
- team: 8
  event: Dynamic Planet
  place: 13
- team: 8
  event: Entomology
  place: 19
- team: 8
  event: Helicopter
  participated: false
- team: 8
  event: Microbe Mission
  place: 11
- team: 8
  event: Tower
  place: 9
- team: 8
  event: Wind Power
  place: 17
- team: 9
  event: Anatomy and Physiology
  place: 10
- team: 9
  event: Astronomy
  place: 8
- team: 9
  event: Bungee Drop
  place: 5
- team: 9
  event: Chemistry Lab
  place: 16
- team: 9
  event: Codebusters
  place: 12
- team: 9
  event: Disease Detectives
  place: 9
- team: 9
  event: Dynamic Planet
  place: 4
- team: 9
  event: Entomology
  place: 5
- team: 9
  event: Helicopter
  place: 6
- team: 9
  event: Microbe Mission
  place: 6
- team: 9
  event: Tower
  place: 13
- team: 9
  event: Wind Power
  place: 14
- team: 10
  event: Anatomy and Physiology
  place: 7
- team: 10
  event: Astronomy
  place: 20
- team: 10
  event: Bungee Drop
  participated: false
- team: 10
  event: Chemistry Lab
  participated: false
- team: 10
  event: Codebusters
  place: 15
- team: 10
  event: Disease Detectives
  place: 17
- team: 10
  event: Dynamic Planet
  place: 15
- team: 10
  event: Entomology
  place: 9
- team: 10
  event: Helicopter
  place: 8
- team: 10
  event: Microbe Mission
  participated: false
- team: 10
  event: Tower
  participated: false
- team: 10
  event: Wind Power
  participated: false
- team: 11
  event: Anatomy and Physiology
  place: 1
- team: 11
  event: Astronomy
  place: 3
- team: 11
  event: Bungee Drop
  place: 6
- team: 11
  event: Chemistry Lab
  place: 4
- team: 11
  event: Codebusters
  place: 2
- team: 11
  event: Disease Detectives
  place: 12
- team: 11
  event: Dynamic Planet
  place: 1
- team: 11
  event: Entomology
  place: 3
- team: 11
  event: Helicopter
  place: 2
- team: 11
  event: Microbe Mission
  place: 2
- team: 11
  event: Tower
  place: 2
- team: 11
  event: Wind Power
  place: 1
- team: 12
  event: Anatomy and Physiology
  place: 11
- team: 12
  event: Astronomy
  place: 10
- team: 12
  event: Bungee Drop
  place: 10
- team: 12
  event: Chemistry Lab
  place: 12
- team: 12
  event: Codebusters
  place: 5
- team: 12
  event: Disease Detectives
  place: 18
- team: 12
  event: Dynamic Planet
  place: 10
- team: 12
  event: Entomology
  place: 8
- team: 12
  event: Helicopter
  place: 12
- team: 12
  event: Microbe Mission
  place: 9
- team: 12
  event: Tower
  place: 3
- team: 12
  event: Wind Power
  place: 11
- team: 13
  event: Anatomy and Physiology
  place: 5
- team: 13
  event: Astronomy
  place: 6
- team: 13
  event: Bungee Drop
  place: 4
- team: 13
  event: Chemistry Lab
  place: 2
- team: 13
  event: Codebusters
  place: 11
- team: 13
  event: Disease Detectives
  place: 3
- team: 13
  event: Dynamic Planet
  place: 9
- team: 13
  event: Entomology
  place: 10
- team: 13
  event: Helicopter
  place: 3
- team: 13
  event: Microbe Mission
  place: 8
- team: 13
  event: Tower
  place: 6
- team: 13
  event: Wind Power
  place: 12
- team: 14
  event: Anatomy and Physiology
  place: 6
- team: 14
  event: Astronomy
  place: 5
- team: 14
  event: Bungee Drop
  place: 3
- team: 14
  event: Chemistry Lab
  place: 15
- team: 14
  event: Codebusters
  place: 16
- team: 14
  event: Disease Detectives
  place: 20
- team: 14
  event: Dynamic Planet
  place: 20
- team: 14
  event: Entomology
  place: 16
- team: 14
  event: Helicopter
  participated: false
- team: 14
  event: Microbe Mission
  place: 18
- team: 14
  event: Tower
  place: 18
- team: 14
  event: Wind Power
  place: 15
- team: 15
  event: Anatomy and Physiology
  place: 8
- team: 15
  event: Astronomy
  place: 2
- team: 15
  event: Bungee Drop
  place: 14
- team: 15
  event: Chemistry Lab
  place: 5
- team: 15
  event: Codebusters
  place: 6
- team: 15
  event: Disease Detectives
  place: 11
- team: 15
  event: Dynamic Planet
  place: 5
- team: 15
  event: Entomology
  place: 4
- team: 15
  event: Helicopter
  place: 5
- team: 15
  event: Microbe Mission
  place: 16
- team: 15
  event: Tower
  place: 7
- team: 15
  event: Wind Power
  place: 4
- team: 17
  event: Anatomy and Physiology
  place: 21
- team: 17
  event: Astronomy
  place: 13
- team: 17
  event: Bungee Drop
  participated: false
- team: 17
  event: Chemistry Lab
  place: 18
- team: 17
  event: Codebusters
  place: 21
- team: 17
  event: Disease Detectives
  place: 16
- team: 17
  event: Dynamic Planet
  place: 17
- team: 17
  event: Entomology
  place: 12
- team: 17
  event: Helicopter
  place: 17
- team: 17
  event: Microbe Mission
  participated: false
- team: 17
  event: Tower
  place: 16
- team: 17
  event: Wind Power
  participated: false
- team: 18
  event: Anatomy and Physiology
  place: 13
- team: 18
  event: Astronomy
  place: 9
- team: 18
  event: Bungee Drop
  participated: false
- team: 18
  event: Chemistry Lab
  place: 6
- team: 18
  event: Codebusters
  place: 4
- team: 18
  event: Disease Detectives
  place: 6
- team: 18
  event: Dynamic Planet
  place: 2
- team: 18
  event: Entomology
  place: 2
- team: 18
  event: Helicopter
  place: 13
- team: 18
  event: Microbe Mission
  place: 12
- team: 18
  event: Tower
  place: 12
- team: 18
  event: Wind Power
  place: 10
- team: 19
  event: Anatomy and Physiology
  place: 17
- team: 19
  event: Astronomy
  place: 15
- team: 19
  event: Bungee Drop
  place: 9
- team: 19
  event: Chemistry Lab
  place: 14
- team: 19
  event: Codebusters
  place: 13
- team: 19
  event: Disease Detectives
  place: 13
- team: 19
  event: Dynamic Planet
  place: 12
- team: 19
  event: Entomology
  place: 18
- team: 19
  event: Helicopter
  place: 10
- team: 19
  event: Microbe Mission
  place: 19
- team: 19
  event: Tower
  place: 14
- team: 19
  event: Wind Power
  place: 16
- team: 20
  event: Anatomy and Physiology
  place: 16
- team: 20
  event: Astronomy
  place: 18
- team: 20
  event: Bungee Drop
  place: 13
- team: 20
  event: Chemistry Lab
  participated: false
- team: 20
  event: Codebusters
  place: 18
- team: 20
  event: Disease Detectives
  place: 15
- team: 20
  event: Dynamic Planet
  place: 19
- team: 20
  event: Entomology
  place: 13
- team: 20
  event: Helicopter
  participated: false
- team: 20
  event: Microbe Mission
  place: 13
- team: 20
  event: Tower
  participated: false
- team: 20
  event: Wind Power
  place: 8
- team: 21
  event: Anatomy and Physiology
  place: 2
- team: 21
  event: Astronomy
  place: 4
- team: 21
  event: Bungee Drop
  place: 1
- team: 21
  event: Chemistry Lab
  place: 11
- team: 21
  event: Codebusters
  place: 1
- team: 21
  event: Disease Detectives
  place: 1
- team: 21
  event: Dynamic Planet
  place: 3
- team: 21
  event: Entomology
  place: 1
- team: 21
  event: Helicopter
  place: 1
- team: 21
  event: Microbe Mission
  place: 1
- team: 21
  event: Tower
  place: 1
- team: 21
  event: Wind Power
  place: 2
- team: 22
  event: Anatomy and Physiology
  place: 15
- team: 22
  event: Astronomy
  place: 16
- team: 22
  event: Bungee Drop
  place: 2
- team: 22
  event: Chemistry Lab
  place: 13
- team: 22
  event: Codebusters
  place: 14
- team: 22
  event: Disease Detectives
  place: 19
- team: 22
  event: Dynamic Planet
  place: 14
- team: 22
  event: Entomology
  place: 15
- team: 22
  event: Helicopter
  participated: false
- team: 22
  event: Microbe Mission
  place: 17
- team: 22
  event: Tower
  participated: false
- team: 22
  event: Wind Power
  place: 13
